gensio_acc_shutdown(3)

NAME
gensio_acc_shutdown, gensio_acc_shutdown_s, gensio_acc_disable, gensio_acc_free - Stop/free a gensio accepter that is started up

SYNOPSIS
#include <gensio/gensio.h>

typedef void (*gensio_acc_done)(struct gensio_accepter *acc,
                void *cb_data);

int gensio_acc_shutdown(struct gensio_accepter *accepter,
                gensio_acc_done shutdown_done,
                void *shutdown_data);

int gensio_acc_shutdown_s(struct gensio_accepter *accepter);

void gensio_acc_disable(struct gensio_accepter *accepter);

void gensio_acc_free(struct gensio_accepter *accepter);

DESCRIPTION
gensio_acc_shutdown Closes all sockets and disables everything in the gensio accepter. shutdown_done() will be called if successful after the shutdown is complete, if it is not NULL. Returns a GE_INUSE if the accepter is already shut down, zero otherwise. gensio_acc_shutdown_s shuts down the gensio and wait for the shutdown to finish. See the notes in gensio_close_s(3) for warning on using this. gensio_acc_disable is like gensio_disable(3), but for accepters. See gensio_disable(3) for details. gensio_acc_free frees the network accepter. If the network accepter is started up, this shuts it down first and shutdown_done() is NOT called.

RETURN VALUES
Zero is returned on success, or a gensio error on failure.

SEE ALSO
gensio_err(3), gensio(5)